<script lang="ts">
  import view from "$lib/tidy/stores/view.store";
  import { formatSeconds } from "$lib/tidy/utils/time.utils";
  import { cn } from "$lib/tidy/utils/ui.utils";
  import type { TopNCardDataRecord } from "../../analytics.types";
  import PreviousValueColumnCell from "./PreviousValueColumnCell.svelte";
  export let row: TopNCardDataRecord;
</script>

<span class="flex gap-2">
  <span
    class={cn("min-w-fit", {
      "text-b2": $view.isPortrait
    })}
  >
    {formatSeconds(row.value)}
  </span>
  {#if $view.isPortrait}
    <PreviousValueColumnCell {row} />
  {/if}
</span>
